GET /data-sources/{id}

Authentication

Bearer Token (hu_api_key)

Path Parameters

id string required path

Responses

200 Data source with fields and child monitors

No response body

404 Not found
curl -X GET 'https://happyuptime.com/api/v1/data-sources/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/data-sources/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://happyuptime.com/api/v1/data-sources/string', headers=headers)print(response.json())
404 Response
{  "error": {    "code": "not_found",    "message": "Monitor not found",    "status": 404  }}